; *******************************************************************
; *                                                                 *
; *                          logo.asm                               *
; *                                                                 *
; *   This is a hackmaster hack which flashes a logo on the screen  *
; *   every time the pilot is powered up.                           *
; *                                                                 *
; *   Hack prc files are resource databases which provide           *
; *   hackmaster with the resources neceassary to complete the      *
; *   desired task.  Hackmaster requires particular resources to    *
; *   have particular resource ids.  For instance, the name of the  *
; *   hack must be resource type 'tAIN' with id 3000.  This file    *
; *   pulls together all the resources to form the prc file.  This  *
; *   file doesn't have any code of it's own (the dummy global      *
; *   and proc are required by PILA but generate no code.           *
; *                                                                 *
; *                                                                 *
; *   LogoCreatorID   equ   $4c6f676f  ; 'Logo' = $4c6f676f         * 
; *   ApType          equ   $4841434b  ; 'HACK' = $4841434b         *
; *                                                                 *
; *                                                                 *
; *   Andrew Howlett                                                *
; *   howlett@iosphere.net                                          *
; *   1 Mar 97                                                      *
; *                                                                 *
; *******************************************************************

    include "Pilot.inc"
    include "logo.inc"

    Appl "LogoHack", LogoCreatorID

    data
global lFoo.l                   ; dummy global for PILA    
    code
proc Foo()                      ; dummy code for PILA
beginproc
endproc

; these resource are used by Hackmaster to identify the hack
; and to generate the about box

    res     'tAIN', 3000        ; app icon name -- must be 3000 to be listed by HackMaster
    dc.b    'Logo (HACK)', 0          

    res 'tFRM', AboutBoxID, "tFRM0bb8.bin"

; define the trap and it's code

    res 'code', TrapCodeID, "logotrap.bin"
    res 'TRAP', TrapCodeID
    dc.w    sysTrapHwrLCDWake

    res 'tFRM', LogoFormID, "tFRM0834.bin"
    res 'WBMP', LogoBMPID, "logo.bmp"

        end
